## org.eclipse.xsd
Interface XSDFeature

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDNamedComponent

All Known Subinterfaces:
  XSDAttributeDeclaration, XSDElementDeclaration

All Known Implementing Classes:
  XSDAttributeDeclarationImpl, XSDElementDeclarationImpl, XSDFeatureImpl

    public interface XSDFeature

extends XSDNamedComponent

A representation of the model object 'Feature'. It is used to represent aspects common to '`Element Declarations`' and '`Attribute Declaration`'.

The following features are supported:

- `Value`
- `Constraint`
- `Form`
- `Lexical Value`
- `Global`
- `Feature Reference`
- `Scope`
- `Resolved Feature`
- `Type`

See Also:
  `XSDPackage.getXSDFeature()`

Method Summary
`XSDConstraint` `getConstraint()` Returns the value of the 'Constraint' attribute.
`XSDForm` `getForm()` Returns the value of the 'Form' attribute.
`java.lang.String` `getLexicalValue()` Returns the value of the 'Lexical Value' attribute
`XSDFeature` `getResolvedFeature()` Returns the value of the 'Resolved Feature' reference
`XSDScope` `getScope()` Returns the value of the 'Scope' reference
`XSDTypeDefinition` `getType()` Returns the value of the 'Type' reference
`java.lang.Object` `getValue()` Returns the value of the 'Value' attribute
`boolean` `isFeatureReference()` Returns the value of the 'Feature Reference' attribute
`boolean` `isGlobal()` Returns the value of the 'Global' attribute
`boolean` `isSetConstraint()` Returns whether the value of the '`Constraint`' attribute is set
`boolean` `isSetForm()` Returns whether the value of the '`Form`' attribute is set
`void` `setConstraint(XSDConstraint value)` Sets the value of the '`Constraint`' attribute
`void` `setForm(XSDForm value)` Sets the value of the '`Form`' attribute
`void` `setLexicalValue(java.lang.String value)` Sets the value of the '`Lexical Value`' attribute
`void` `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute
`void` `unsetConstraint()` Unsets the value of the '`Constraint`' attribute
`void` `unsetForm()` Unsets the value of the '`Form`' attribute

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    java.lang.Object getValue()

  Returns the value of the 'Value' attribute.

  This represents the value of the attribute value constraint or element value constraint infoset property. It is computed from the `lexical value` and should typically not be set directly.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(Object)`, `XSDPackage.getXSDFeature_Value()`

### setValue

    void setValue(java.lang.Object value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getConstraint

    XSDConstraint getConstraint()

  Returns the value of the 'Constraint' attribute. The literals are from the enumeration `XSDConstraint`.

  This represents the constraint of the attribute value constraint or element value constraint infoset property.

  Returns:
    the value of the 'Constraint' attribute.
  See Also:
    `XSDConstraint`, `isSetConstraint()`, `unsetConstraint()`, `setConstraint(XSDConstraint)`, `XSDPackage.getXSDFeature_Constraint()`

### setConstraint

    void setConstraint(XSDConstraint value)

  Sets the value of the '`Constraint`' attribute.

  Parameters:
    `value` - the new value of the 'Constraint' attribute.
  See Also:
    `XSDConstraint`, `isSetConstraint()`, `unsetConstraint()`, `getConstraint()`

### unsetConstraint

    void unsetConstraint()

  Unsets the value of the '`Constraint`' attribute.

  See Also:
    `isSetConstraint()`, `getConstraint()`, `setConstraint(XSDConstraint)`

### isSetConstraint

    boolean isSetConstraint()

  Returns whether the value of the '`Constraint`' attribute is set.

  Returns:
    whether the value of the 'Constraint' attribute is set.
  See Also:
    `unsetConstraint()`, `getConstraint()`, `setConstraint(XSDConstraint)`

### getForm

    XSDForm getForm()

  Returns the value of the 'Form' attribute. The literals are from the enumeration `XSDForm`.

  This concrete attribute represents the value of the attribute form attribute or the element form attribute. It, along with the `attribute form default` and `element form default` of the schema, affects the `target namespace` of locally scoped features.

  Returns:
    the value of the 'Form' attribute.
  See Also:
    `XSDSchema.getAttributeFormDefault()`, `XSDSchema.getElementFormDefault()`, `XSDForm`, `isSetForm()`, `unsetForm()`, `setForm(XSDForm)`, `XSDPackage.getXSDFeature_Form()`

### setForm

    void setForm(XSDForm value)

  Sets the value of the '`Form`' attribute.

  Parameters:
    `value` - the new value of the 'Form' attribute.
  See Also:
    `XSDForm`, `isSetForm()`, `unsetForm()`, `getForm()`

### unsetForm

    void unsetForm()

  Unsets the value of the '`Form`' attribute.

  See Also:
    `isSetForm()`, `getForm()`, `setForm(XSDForm)`

### isSetForm

    boolean isSetForm()

  Returns whether the value of the '`Form`' attribute is set.

  Returns:
    whether the value of the 'Form' attribute is set.
  See Also:
    `unsetForm()`, `getForm()`, `setForm(XSDForm)`

### getLexicalValue

    java.lang.String getLexicalValue()

  Returns the value of the 'Lexical Value' attribute.

  This concrete attribute represents the value of the attribute fixed or default attribute or the element fixed or default attribute.

  Returns:
    the value of the 'Lexical Value' attribute.
  See Also:
    `setLexicalValue(String)`, `XSDPackage.getXSDFeature_LexicalValue()`

### setLexicalValue

    void setLexicalValue(java.lang.String value)

  Sets the value of the '`Lexical Value`' attribute.

  Parameters:
    `value` - the new value of the 'Lexical Value' attribute.
  See Also:
    `getLexicalValue()`

### isGlobal

    boolean isGlobal()

  Returns the value of the 'Global' attribute.

  This indicates whether the feature is globally `scoped`. Its value is false if the feature is declared within a `complex type definition`, an `attribute group definition`, or a `model group definition`.

  Returns:
    the value of the 'Global' attribute.
  See Also:
    `XSDPackage.getXSDFeature_Global()`

### isFeatureReference

    boolean isFeatureReference()

  Returns the value of the 'Feature Reference' attribute.

  This is the same result as either the '`Element Reference`' attribute or the '`Attribute Reference`' attribute.

  Returns:
    the value of the 'Feature Reference' attribute.
  See Also:
    `XSDPackage.getXSDFeature_FeatureReference()`

### getScope

    XSDScope getScope()

  Returns the value of the 'Scope' reference.

  This represents the attribute scope or element scope infoset property.

  Returns:
    the value of the 'Scope' reference.
  See Also:
    `XSDPackage.getXSDFeature_Scope()`

### getType

    XSDTypeDefinition getType()

  Returns the value of the 'Type' reference.

  This is the same result as either the element '`Type Definition`' reference or the attribute '`Type Definition`' reference.

  Returns:
    the value of the 'Type' reference.
  See Also:
    `XSDPackage.getXSDFeature_Type()`

### getResolvedFeature

    XSDFeature getResolvedFeature()

  Returns the value of the 'Resolved Feature' reference.

  This is the same result as either the '`Resolved Element Declaration`' reference or the '`Resolved Attribute Declaration`' reference.

  Returns:
    the value of the 'Resolved Feature' reference.
  See Also:
    `XSDPackage.getXSDFeature_ResolvedFeature()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.